<?php 

	$expert_consultant_custom_style = '';

	// Logo Size
	$expert_consultant_logo_top_margin = get_theme_mod('expert_consultant_logo_top_margin');
	$expert_consultant_logo_bottom_margin = get_theme_mod('expert_consultant_logo_bottom_margin');
	$expert_consultant_logo_left_margin = get_theme_mod('expert_consultant_logo_left_margin');
	$expert_consultant_logo_right_margin = get_theme_mod('expert_consultant_logo_right_margin');

	if( $expert_consultant_logo_top_margin != '' || $expert_consultant_logo_bottom_margin != '' || $expert_consultant_logo_left_margin != '' || $expert_consultant_logo_right_margin != ''){
		$expert_consultant_custom_style .=' .logo {';
			$expert_consultant_custom_style .=' margin-top: '.esc_attr($expert_consultant_logo_top_margin).'px; margin-bottom: '.esc_attr($expert_consultant_logo_bottom_margin).'px; margin-left: '.esc_attr($expert_consultant_logo_left_margin).'px; margin-right: '.esc_attr($expert_consultant_logo_right_margin).'px;';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_logo_size = get_theme_mod('expert_consultant_logo_size');
	if( $expert_consultant_logo_size != '') {
		if($expert_consultant_logo_size == 100) {
			$expert_consultant_custom_style .=' .custom-logo-link img {';
				$expert_consultant_custom_style .=' width: 350px;';
			$expert_consultant_custom_style .=' }';
		} else if($expert_consultant_logo_size >= 10 && $expert_consultant_logo_size < 100) {
			$expert_consultant_custom_style .=' .custom-logo-link img {';
				$expert_consultant_custom_style .=' width: '.esc_attr($expert_consultant_logo_size).'%;';
			$expert_consultant_custom_style .=' }';
		}
	}

	// Site Title Font Size
	$expert_consultant_site_title_font_size = get_theme_mod('expert_consultant_site_title_font_size');
	if( $expert_consultant_site_title_font_size != ''){
		$expert_consultant_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$expert_consultant_custom_style .=' font-size: '.esc_attr($expert_consultant_site_title_font_size).'px;';
		$expert_consultant_custom_style .=' }';
	}

	// Site Tagline Font Size
	$expert_consultant_site_tagline_font_size = get_theme_mod('expert_consultant_site_tagline_font_size');
	if( $expert_consultant_site_tagline_font_size != ''){
		$expert_consultant_custom_style .=' .logo p.site-description {';
			$expert_consultant_custom_style .=' font-size: '.esc_attr($expert_consultant_site_tagline_font_size).'px;';
		$expert_consultant_custom_style .=' }';
	}

	//layout width
	$expert_consultant_boxfull_width = get_theme_mod('expert_consultant_boxfull_width');
	if ($expert_consultant_boxfull_width !== '') {
		switch ($expert_consultant_boxfull_width) {
			case 'container':
				$expert_consultant_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$expert_consultant_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$expert_consultant_dropdown_anim = get_theme_mod('expert_consultant_dropdown_anim');

	if ( $expert_consultant_dropdown_anim != '') {
		$expert_consultant_custom_style .=' .nav-menu ul ul {';
			$expert_consultant_custom_style .=' animation:'.esc_attr($expert_consultant_dropdown_anim).' 1s ease;';
		$expert_consultant_custom_style .=' }';
	}

	// Header Image
	$header_image_url = expert_consultant_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$expert_consultant_custom_style .=' #inner-pages-header {';
			$expert_consultant_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$expert_consultant_custom_style .=' }';
		$expert_consultant_custom_style .=' .header-overlay {';
			$expert_consultant_custom_style .=' position: absolute; 	width: 100%; height: 100%; 	top: 0; left: 0; background: #000; opacity: 0.3;';
		$expert_consultant_custom_style .=' }';
	} else {
		$expert_consultant_custom_style .=' #inner-pages-header {';
			$expert_consultant_custom_style .=' background:linear-gradient(0deg,#ccc,#0a0607 80%) no-repeat; ';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_slider_hide_show = get_theme_mod('expert_consultant_slider_hide_show',false);
	if( $expert_consultant_slider_hide_show == true){
		$expert_consultant_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$expert_consultant_custom_style .=' display:none;';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_topbar_text_color = get_theme_mod('expert_consultant_topbar_text_color');

	if ( $expert_consultant_topbar_text_color != '') {
		$expert_consultant_custom_style .=' .top-header p {';
			$expert_consultant_custom_style .=' color:'.esc_attr($expert_consultant_topbar_text_color).';';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_email_color = get_theme_mod('expert_consultant_email_color');

	if ( $expert_consultant_email_color != '') {
		$expert_consultant_custom_style .=' .top-header a.mail {';
			$expert_consultant_custom_style .=' color:'.esc_attr($expert_consultant_email_color).';';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_phone_color = get_theme_mod('expert_consultant_phone_color');

	if ( $expert_consultant_phone_color != '') {
		$expert_consultant_custom_style .=' a.phone {';
			$expert_consultant_custom_style .=' color:'.esc_attr($expert_consultant_phone_color).';';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_social_color = get_theme_mod('expert_consultant_social_color');

	if ( $expert_consultant_social_color != '') {
		$expert_consultant_custom_style .=' .social-icons i {';
			$expert_consultant_custom_style .=' color:'.esc_attr($expert_consultant_social_color).';';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_topbarbg_color = get_theme_mod('expert_consultant_topbarbg_color');

	if ( $expert_consultant_topbarbg_color != '') {
		$expert_consultant_custom_style .=' #header {';
			$expert_consultant_custom_style .=' background-color:'.esc_attr($expert_consultant_topbarbg_color).';';
		$expert_consultant_custom_style .=' }';
	}

	// Copyright padding
	$expert_consultant_copyright_padding = get_theme_mod('expert_consultant_copyright_padding');
	if( $expert_consultant_copyright_padding != ''){
		$expert_consultant_custom_style .=' .site-info {';
			$expert_consultant_custom_style .=' padding-top: '.esc_attr($expert_consultant_copyright_padding).'px; padding-bottom: '.esc_attr($expert_consultant_copyright_padding).'px;';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_copyright_color = get_theme_mod('expert_consultant_copyright_color');
	if ( $expert_consultant_copyright_color != '') {
		$expert_consultant_custom_style .=' .site-info p, .site-info a {';
			$expert_consultant_custom_style .=' color:'.esc_attr($expert_consultant_copyright_color).';';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_copyrightbg_color = get_theme_mod('expert_consultant_copyrightbg_color');
	if ( $expert_consultant_copyrightbg_color != '') {
		$expert_consultant_custom_style .=' .copyright {';
			$expert_consultant_custom_style .=' background-color:'.esc_attr($expert_consultant_copyrightbg_color).';';
		$expert_consultant_custom_style .=' }';
	}

	//Slider color
	$expert_consultant_slider_font_size = get_theme_mod('expert_consultant_slider_font_size');
	if( $expert_consultant_slider_font_size != ''){
		$expert_consultant_custom_style .=' #slider h2 {';
			$expert_consultant_custom_style .=' font-size: '.esc_attr($expert_consultant_slider_font_size).'px;';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_slider_text_font_size = get_theme_mod('expert_consultant_slider_text_font_size');
	if( $expert_consultant_slider_text_font_size != ''){
		$expert_consultant_custom_style .=' #slider p {';
			$expert_consultant_custom_style .=' font-size: '.esc_attr($expert_consultant_slider_text_font_size).'px;';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_slider_opacity = get_theme_mod('expert_consultant_slider_opacity');

	if ( $expert_consultant_slider_opacity != '') {
		$expert_consultant_custom_style .=' #slider img {';
			$expert_consultant_custom_style .=' opacity:'.esc_attr($expert_consultant_slider_opacity).';';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_slider_color = get_theme_mod('expert_consultant_slider_color');

	if ( $expert_consultant_slider_color != '') {
		$expert_consultant_custom_style .=' #slider h2 a, #slider .carousel-caption p,#slider .slider-time {';
			$expert_consultant_custom_style .=' color:'.esc_attr($expert_consultant_slider_color).';';
		$expert_consultant_custom_style .=' }';
	}

	//Service color
	$expert_consultant_small_title_font_size = get_theme_mod('expert_consultant_small_title_font_size');
	if( $expert_consultant_small_title_font_size != ''){
		$expert_consultant_custom_style .=' .service-head p {';
			$expert_consultant_custom_style .=' font-size: '.esc_attr($expert_consultant_small_title_font_size).'px;';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_section_title_font_size = get_theme_mod('expert_consultant_section_title_font_size');
	if( $expert_consultant_section_title_font_size != ''){
		$expert_consultant_custom_style .=' .service-head h3 {';
			$expert_consultant_custom_style .=' font-size: '.esc_attr($expert_consultant_section_title_font_size).'px;';
		$expert_consultant_custom_style .=' }';
	}

	$expert_consultant_service_color = get_theme_mod('expert_consultant_service_color');

	if ( $expert_consultant_service_color != '') {
		$expert_consultant_custom_style .=' .service-head h3,.service-box .service-content h4 a {';
			$expert_consultant_custom_style .=' color:'.esc_attr($expert_consultant_service_color).';';
		$expert_consultant_custom_style .=' }';
	}